Skip to main content
GET
/
v1
/
todo
Todo 목록
curl --request GET \
  --url https://openapi.pluuug.com/v1/todo \
  --header 'X-API-Key: <api-key>' \
  --header 'X-Signature: <api-key>'
{
  "next": "<string>",
  "previous": "<string>",
  "results": [
    {
      "id": 123,
      "inquiry": {
        "id": 123,
        "name": "<string>"
      },
      "type": "M",
      "dueDate": "2023-12-25",
      "action": "<string>",
      "isComplete": true,
      "completedAt": "2023-11-07T05:31:56Z",
      "dDay": 123,
      "created": "2023-11-07T05:31:56Z",
      "inCharge": {
        "id": 123,
        "nickname": "<string>",
        "email": "<string>",
        "isActive": true,
        "grade": {
          "id": 123,
          "title": "<string>"
        }
      },
      "dueTime": "<string>"
    }
  ]
}

Authorizations

X-API-Key
string
header
required
X-Signature
string
header
required

HMAC-SHA256 방식으로 body를 secret key로 해싱하여 생성한 서명을 넣어야 합니다. 서버는 X-API-Key와 대응되는 secret key로 서명을 검증합니다.

Query Parameters

cursor
string

Pagination을 위한 커서

due_date_end
string<date>

예정일 종료 (YYYY-MM-DD)

due_date_start
string<date>

예정일 시작 (YYYY-MM-DD)

inquiry_id
number

의뢰 ID

is_complete
boolean

완료 여부

page_size
integer

한번에 조회할 데이터의 개수 (limit)

Response

200 - application/json
next
string | null
previous
string | null
results
object[]